Subject: Re: [PATCH 16/18] fsck: support demoting errors to warnings

From: Junio C Hamano <[email-masked]>
Date: Tue, 23 Dec 2014 09:07:30 -0800

Junio C Hamano <[email-masked]> writes:

> I suspect that it would be much better if the configuration
> variables were organized the other way around, e.g.
>
> 	$ git config fsck.warn missingTagger,someOtherKindOfError

By the way, I think I like this organization is much better than the
other way around, i.e. "fsck.missingTagger=warn", as we do not want
the namespace under fsck.* for variables that control the behaviour
of fsck that are *NOT* kinds of questionable conditions fsck can
find.